//////////////////////////////////////////
// BCC2ECC.h
// Copyright (c) 09/06/2022 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResBCC2ECC.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
	public:	//メンバー変数
	//ファイル関連外部変数
	char m_PathName[MAX_PATH];	//フルパスプロジェクトファイル名
	char* m_Ext;				//フルパスプロジェクトファイル名の'.'の位置
	char m_PrjtName[MAX_PATH];	//プロジェクト名のみ
	bool m_Option;
	public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CDLG(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnSel();
	bool OnIdno();
	bool OnIdok();
	//ウィンドウメッセージ関連
	bool OnClose(WPARAM, LPARAM);
	bool OnDestroy(WPARAM, LPARAM);
	//ユーザー定義関数
	void Init();
	bool ModifyRC();
	bool ModifyCPP();
	bool ModifyH();
	bool ModifyProcH();
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd BCC2ECC("BCC2ECC");	//ウィンドウクラスインスタンスの生成

BEGIN_MODELESSDLGMSG(ModelessProc, BCC2ECC)	//コールバック関数名は主ウィンドウの場合ModelessProcにしている
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(BCC2ECC, IDC_SEL, OnSel())
	ON_COMMAND(BCC2ECC, IDOK, OnIdok())
	ON_COMMAND(BCC2ECC, IDNO, OnIdno())
	//ウィンドウメッセージ関連
	//自動的にダイアログ作成時にOnInit()、終了時にOnClose()を呼びます
	ON_DESTROY(BCC2ECC)
END_DLGMSG

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;
